Bug 1809432 - [FJ OSP16] Pre-provisioned nodes has missing files in RHOSP16
Summary: [FJ OSP16] Pre-provisioned nodes has missing files in RHOSP16
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 16.0 (Train)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Alex McLeod
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 06:35 UTC by Shailesh Chhabdiya
Modified: 2020-06-23 13:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-09 11:29:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Shailesh Chhabdiya 2020-03-03 06:35:37 UTC
Description of problem:
In RHOSP16 pre-provision nodes need below two files but those are missing
~~~
deployed-server-bootstrap-environment-rhel.yaml
deployed-server-pacemaker-environment.yaml
~~~

~~~
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html/director_installation_and_usage/configuring-a-basic-overcloud-with-pre-provisioned-nodes
~~~

Version-Release number of selected component (if applicable):
Red Hat OpenStack 16.0


Additional info:


In upstream docs we can see that it is deprecated and removed 
~~~snipp~~~~
Deprecation Notes¶
The deployed-server bootstrap environments, templates, and scripts that were previously deprecated are now removed. These removals include deployed-server/deployed-server-bootstrap-centos.sh deployed-server/deployed-server-bootstrap-centos.yaml deployed-server/deployed-server-bootstrap-rhel.sh deployed-server/deployed-server-bootstrap-rhel.yaml environments/deployed-server-bootstrap-environment-centos.yaml environments/deployed-server-bootstrap-environment-rhel.yaml
~~~~~~~~~~~~

~~~
https://docs.openstack.org/releasenotes/tripleo-heat-templates/train.html
~~~


Is there a way to deploy osp on pre-provisioned nodes or it is deprecated?

Comment 1 Luke Short 2020-03-03 19:56:44 UTC
Shailesh, are you running into issues with deploying pre-provisioned/deployed nodes?

Starting in RHOSP 16, the deployed-server-bootstrap-environment-{rhel,centos}.yaml, deployed-server-pacemaker-environment.yaml, and deployed-server-roles-data.yaml files are no longer required. Instead, tripleo-ansible automatically takes care of configuring the nodes with the required set of packages they need. We are moving towards a model where all nodes are essentially treated as pre-provisioned/deployed servers.

This should be a documentation bug.

Comment 2 Shailesh Chhabdiya 2020-03-04 01:38:47 UTC
Hello Luke,

Thank You Very Much for the prompt response.

May I know so what is the correct deployment command and what all environment files shall be passed?

Regards,
Shailesh.

Comment 3 Luke Short 2020-03-04 14:15:34 UTC
Hey Shailesh,

Glad to help! Now you will basically only need your custom Heat environment file. Use "DeployedServerPortMap" to define the control plane IP addresses of each node and the "HostnameMap" to map the hostnames for config-download. Include RHOSP's "deployed-server-environment.yaml" environment file and then you are good to go.

Your minimum Overcloud deployment command will end up looking similar to this:

`openstack overcloud deploy --disable-validations -e ~/templates/environments/deployed-server-environment.yaml -e ~/<CUSTOM_PORT_MAP_AND_HOSTNAME_MAP_ENV> -r /usr/share/openstack-tripleo-heat-templates/roles_data.yaml`

You can also refer to the upstream documentation: https://docs.openstack.org/project-deploy-guide/tripleo-docs/latest/features/deployed_server.html

Comment 10 Alex McLeod 2020-06-09 11:29:11 UTC
Hi, I believe this was addressed as part of other work in the pre-provisioned section of the Director guide. The only environment file that you need is currently documented: environments/deployed-server-environment.yaml

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html/director_installation_and_usage/configuring-a-basic-overcloud-with-pre-provisioned-nodes#creating-the-overcloud-with-pre-provisioned-nodes

I will close this BZ, but please feel free to reopen if I have missed something.

Thanks!
Alex


Note You need to log in before you can comment on or make changes to this bug.